> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Clinic details

> ### Overview
This API endpoint retrieves detailed information about a specific clinic using its unique identifier.
### Endpoint
**URL:** `{{HOST}}/dr/v1/business/clinic/{{clinic_id}}`
**Method:** GET
### Request Parameters
| Parameter | Type | Description | Required |
| --- | --- | --- | --- |
| clinic_id | string | Unique identifier for the clinic | Yes |
### Response Parameters
| Parameter | Type | Description |
| --- | --- | --- |
| success | boolean | Indicates if the request was successful |
| data | object | Response data object |
| data.clinic | object | Clinic details |
| data.clinic.clinic_id | string | Unique identifier of the clinic |
| data.clinic.name | string | Name of the clinic |
| data.clinic.address | object | Address details of the clinic |
| data.clinic.address.city | string | City of the clinic |
| data.clinic.address.country | string | Country of the clinic |
| data.clinic.address.lat | string | Latitude of the clinic |
| data.clinic.address.line1 | string | Address line 1 |
| data.clinic.address.lon | string | Longitude of the clinic |
| data.clinic.address.pincode | string | Pincode of the clinic |
| data.clinic.address.state | string | State of the clinic |



## OpenAPI

````yaml get /dr/v1/business/clinic/{clinic_id}
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /dr/v1/business/clinic/{clinic_id}:
    get:
      tags:
        - Doctor and clinic API
      summary: Get Clinic details
      description: >-
        ### Overview

        This API endpoint retrieves detailed information about a specific clinic
        using its unique identifier.

        ### Endpoint

        **URL:** `{{HOST}}/dr/v1/business/clinic/{{clinic_id}}`

        **Method:** GET

        ### Request Parameters

        | Parameter | Type | Description | Required |

        | --- | --- | --- | --- |

        | clinic_id | string | Unique identifier for the clinic | Yes |

        ### Response Parameters

        | Parameter | Type | Description |

        | --- | --- | --- |

        | success | boolean | Indicates if the request was successful |

        | data | object | Response data object |

        | data.clinic | object | Clinic details |

        | data.clinic.clinic_id | string | Unique identifier of the clinic |

        | data.clinic.name | string | Name of the clinic |

        | data.clinic.address | object | Address details of the clinic |

        | data.clinic.address.city | string | City of the clinic |

        | data.clinic.address.country | string | Country of the clinic |

        | data.clinic.address.lat | string | Latitude of the clinic |

        | data.clinic.address.line1 | string | Address line 1 |

        | data.clinic.address.lon | string | Longitude of the clinic |

        | data.clinic.address.pincode | string | Pincode of the clinic |

        | data.clinic.address.state | string | State of the clinic |
      operationId: GetClinicDetails
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth API.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
        - name: clinic_id
          in: path
          description: Unique identifier for the clinic
          required: true
          style: simple
          schema:
            type: string
            example: 62e7929ea968a6001e80e833
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      clinic:
                        type: object
                        properties:
                          clinic_id:
                            type: string
                            example: 62e7929ab123a6001e80e833
                          name:
                            type: string
                            example: DIABETES AND ENDOCRINE CLINIC
                          address:
                            type: object
                            properties:
                              city:
                                type: string
                                example: Bangalore
                              country:
                                type: string
                                example: India
                              lat:
                                type: string
                                example: 20.1777602
                              line1:
                                type: string
                                example: 302, 3rd floor, RK
                              lon:
                                type: string
                                example: 71.8255817
                              pincode:
                                type: string
                                example: 560048
                              state:
                                type: string
                                example: Karnataka
        '404':
          description: Not Found
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  code:
                    type: string
                    example: CLINIC_NOT_FOUND
                  message:
                    type: string
                    example: The specified clinic_id does not exist
        '500':
          description: Internal Server Error
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  code:
                    type: string
                    example: SERVER_ERROR
                  message:
                    type: string
                    example: An unexpected error occurred on the server

````